// commpents/form/index.js
const app = getApp()
Component({
    options: {
        multipleSlots: true // 在组件定义时的选项中启用多 slot 支持
    },
    /**
     * 组件的属性列表
     */
    properties: {
        fields: { type: Array },
    },

    /**
     * 组件的初始数据
     */
    data: {
        form: {},
        isSubmit: false,
        fileList: [],
        columns: ['杭州', '宁波', '温州', '嘉兴', '湖州'],
    },

    /**
     * 组件的方法列表
     */
    methods: {
        toSubmit() {
            console.log('function in ')
            console.log(this.data.form)
        },
        selectChange(event) {

        },
        onChange(event) {
            // event.detail 为当前输入的值
            const data = this.data.form;
            const model = event.target?.dataset?.model;
            const value = event?.detail;
            if (!model) return;
            console.log(data, model, value)
            data[model] = value;
            this.setData({ form: data })
        },
        afterRead(event) {
            const { file } = event.detail;
            console.log(file)
            let formdata = new FormData();
            formdata.append('file', file, file.name);
            const url = `${app.globalData.fileUrl}/files/newCourt/icon/upload`;
            wx.request({
                url,
                method: "post",
                data: formdata,
                header: { 'Content-Type': 'multipart/form-data' },
                success: (res) => {
                    console.log(res)
                },
                error: (e) => {
                    console.log(e)
                },
            });
        },
    }
})
